${SegmentFile}

${Segment.OnInit}
	${registry::Read} "HKLM\SOFTWARE\Microsoft\Windows NT\CurrentVersion" "CurrentBuild" $0 $1

	${If} $0 < 9600 ;Windows 7/8.0
		StrCpy $AppName "darktable"
		${If} ${IsWin2000}
			StrCpy $1 2000
		${ElseIf} ${IsWinXP}
			StrCpy $1 XP
		${ElseIf} ${IsWin2003}
			StrCpy $1 2003
		${ElseIf} ${IsWinVista}
			StrCpy $1 Vista
		${ElseIf} ${IsWin2008}
			StrCpy $1 2008
		${ElseIf} ${IsWin7}
			StrCpy $1 7
		${ElseIf} ${IsWin2008R2}
			StrCpy $1 "2008 R2"
		${ElseIf} ${IsWin8}
			StrCpy $1 8
		${ElseIf} ${IsWin2012}
			StrCpy $1 2012
		${Else}
			StrCpy $1 "Pre-Win8.1"
		${EndIf}	
		StrCpy $0 "8.1"
		MessageBox MB_OK "$(LauncherIncompatibleMinOS)"
		Abort
	${EndIf}
!macroend

${SegmentPrePrimary}
	ExpandEnvStrings $0 "%PAL:DataDir%"
	ExpandEnvStrings $1 "%PAL:AppDir%"
	ExpandEnvStrings $4 "%PAL:LastDrive%"
	ExpandEnvStrings $5 "%PAL:Drive%"
	ExpandEnvStrings $2 "%PAL:LastPortableAppsBaseDir%"
	ExpandEnvStrings $3 "%PAL:PortableAppsBaseDir%"
	ExpandEnvStrings $6 "%PAL:LastDrive%%PAL:LastPackagePartialDir%"
	ExpandEnvStrings $7 "%PAL:Drive%%PAL:PackagePartialDir%"
	
	${If} ${FileExists} "$0\darktable\library.db"
		${If} $6 != $7
			nsExec::Exec `"$1\Bin\sqlite3.exe" "$0\darktable\library.db" "UPDATE film_rolls SET folder = '$7' || SUBSTR(folder,(LENGTH('$6')+1)) WHERE folder LIKE '$6%';"`
		${EndIf}
		${ReplaceInFile} "$0\darktable\darktablerc" '$6' '$7'
		${If} $2 != $3
			nsExec::Exec `"$1\Bin\sqlite3.exe" "$0\darktable\library.db" "UPDATE film_rolls SET folder = '$3' || SUBSTR(folder,(LENGTH('$2')+1)) WHERE folder LIKE '$2%';"`
		${EndIf}
		${ReplaceInFile} "$0\darktable\darktablerc" '$2' '$3'
		${If} $4 != $5
			nsExec::Exec `"$1\Bin\sqlite3.exe" "$0\darktable\library.db" "UPDATE film_rolls SET folder = '$5' || SUBSTR(folder,(LENGTH('$4')+1)) WHERE folder LIKE '$4%';"`
		${EndIf}
		${ReplaceInFile} "$0\darktable\darktablerc" '$4' '$5'
	${EndIf}
!macroend
