Var bolCustomCreatedLegacy

!macro CustomCodePreInstall
	ReadRegStr $1 HKLM "Software\Microsoft\Windows NT\CurrentVersion" "CurrentBuild"
	
	${If} $1 < 9600 ;Windows 7/8.0
	${AndIf} ${FileExists} "$INSTDIR\App\AppInfo\appinfo.ini"
		ReadINIStr $0 "$INSTDIR\App\AppInfo\appinfo.ini" "Version" "PackageVersion"
		${VersionCompare} $0 "4.6.0.0" $R0
		${If} $R0 = 2
			${GetParent} $INSTDIR $1
			${IfNot} ${FileExists} "$1\darktablePortableLegacyWin7\*.*"
				${GetParent} $INSTDIR $1
				CreateDirectory "$1\darktablePortableLegacyWin7"
				CopyFiles /SILENT "$INSTDIR\*.*" "$1\darktablePortableLegacyWin7"
				WriteINIStr "$1\darktablePortableLegacyWin7\App\AppInfo\AppInfo.ini" "Details" "AppID" "darktablePortableLegacyWin7"
				WriteINIStr "$1\darktablePortableLegacyWin7\App\AppInfo\AppInfo.ini" "Details" "Name" "darktable Portable (Legacy Win 7)"
				StrCpy $bolCustomCreatedLegacy true
				WriteINIStr "$1\darktablePortableLegacyWin7\App\AppInfo\AppInfo.ini" "Control" "Start" "darktablePortableLegacyWin7.exe"
				Rename "$1\darktablePortableLegacyWin7\App\AppInfo\Launcher\darktablePortable.ini" "$1\darktablePortableLegacyWin7\App\AppInfo\Launcher\darktablePortableLegacyWin7.ini"
				Rename "$1\darktablePortableLegacyWin7\darktablePortable.exe" "$1\darktablePortableLegacyWin7\darktablePortableLegacyWin7.exe"
			${EndIf}	
		${EndIf}
	${EndIf}
!macroend

!macro CustomCodePostInstall
	${If} $bolCustomCreatedLegacy == true
		${GetParent} $INSTDIR $1
		Delete "$1\darktablePortableLegacyWin7\darktablePortableLegacyWin7.exe"
		CopyFiles /SILENT "$INSTDIR\Other\Source\Legacy\darktablePortableLegacyWin7.exe" "$1\darktablePortableLegacyWin7"
	${EndIf}
!macroend
